[arch-commits] CVS update of extra/system/p7zip (PKGBUILD)

Aaron Griffin aaron at archlinux.org
Fri Apr 27 22:14:43 EDT 2007


    Date: Friday, April 27, 2007 @ 22:14:43
  Author: aaron
    Path: /home/cvs-extra/extra/system/p7zip

Modified: PKGBUILD (1.9 -> 1.10)

* Fix FS#7018 - 7z.so was not installed
* additionally, using the gcc 4.x makefile for i686


----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)


Index: extra/system/p7zip/PKGBUILD
diff -u extra/system/p7zip/PKGBUILD:1.9 extra/system/p7zip/PKGBUILD:1.10
--- extra/system/p7zip/PKGBUILD:1.9	Thu Apr 26 22:28:06 2007
+++ extra/system/p7zip/PKGBUILD	Fri Apr 27 22:14:43 2007
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.9 2007/04/27 02:28:06 aaron Exp $
+# $Id: PKGBUILD,v 1.10 2007/04/28 02:14:43 aaron Exp $
 # Maintainer: Aaron Griffin <aaron at archlinux.org>
 
 pkgname=p7zip
 pkgver=4.45
-pkgrel=1
+pkgrel=2
 pkgdesc="A command-line port of the 7zip compression utility"
 license=('GPL')
 arch=(i686 x86_64)
@@ -20,14 +20,16 @@
 	if [ "$CARCH" == "x86_64" ]; then
         cp makefile.linux_amd64 makefile.machine
 	else
-        cp makefile.linux_x86_ppc_alpha makefile.machine
+        cp makefile.linux_x86_ppc_alpha_gcc_4.X makefile.machine
 	fi
 
 	sed -i "s|usr/local|usr|g" makefile
 	sed -i "s|-O1|$CXXFLAGS|g" makefile.machine
-	make all2 || return 1
+	make all3 || return 1
 	sed -i "s|DEST_HOME=|DEST_HOME=$startdir/pkg/usr # |g" install.sh
-	./install.sh
+    ./install.sh
+    install -m555 bin/7z.so $startdir/pkg/usr/lib/p7zip/
+
 	sed -i "s|$startdir/pkg/usr|/usr|g" $startdir/pkg/usr/bin/7z
 	sed -i "s|$startdir/pkg/usr|/usr|g" $startdir/pkg/usr/bin/7za
 }




More information about the arch-commits mailing list